libzypp: zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType > Struct Template Reference

libzypp 17.36.6

Public Types | Public Member Functions | Public Attributes | List of all members
zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType > Struct Template Reference
Inheritance diagram for zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >:

## Public Types
using | ZyppContextRefType = MaybeAsyncContextRef<OpType>
using | ZyppContextType = remove_smart_ptr_t<ZyppContextRefType>
using | ProvideType = typename ZyppContextType::ProvideType
using | MediaHandle = typename ProvideType::MediaHandle
using | ProvideRes = typename ProvideType::Res
Public Types inherited from zyppng::LogicBase< Executor, OpType >
using | ExecutorType = Executor
using | Result = typename OpType::value_type
Public Types inherited from zyppng::MaybeAsyncMixin< detail::is_async_op_v< OpType > >
using | MaybeAsyncRef

## Public Member Functions
| ZYPP_ENABLE_LOGIC_BASE (Executor, OpType)
| ImportKeyFromRepoLogic (ZyppContextRefType context, std::string &&keyId, zypp::RepoInfo &&info)
MaybeAsyncRef< bool > | execute ()
Public Member Functions inherited from zyppng::LogicBase< Executor, OpType >
| LogicBase ()
virtual | ~LogicBase ()
Executor * | executor ()

## Public Attributes
ZyppContextRefType | _context
std::string | _keyId
zypp::RepoInfo | _repo

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::LogicBase< Executor, OpType >
template<typename ... Args, typename FOpType = OpType>
static std::enable_if_t< detail::is_async_op_v< FOpType >, AsyncOpRef< Result > > | run (Args &&...args)
template<typename ... Args, typename FOpType = OpType>
static std::enable_if_t< !detail::is_async_op_v< FOpType >, Result > | run (Args &&...args)
Static Public Attributes inherited from zyppng::MaybeAsyncMixin< detail::is_async_op_v< OpType > >
static constexpr bool | is_async
Protected Member Functions inherited from zyppng::MaybeAsyncMixin< detail::is_async_op_v< OpType > >
auto | makeReadyResult (T &&res)

## Detailed Description

template<class Executor, class OpType>
struct zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >

Definition at line 30 of file keyringwf.cc.

## Member Typedef Documentation

## ◆ ZyppContextRefType

template<class Executor, class OpType>

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::ZyppContextRefType = MaybeAsyncContextRef<OpType>

Definition at line 32 of file keyringwf.cc.

## ◆ ZyppContextType

template<class Executor, class OpType>

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::ZyppContextType = remove_smart_ptr_t<ZyppContextRefType>

Definition at line 33 of file keyringwf.cc.

## ◆ ProvideType

template<class Executor, class OpType>

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::ProvideType = typename ZyppContextType::ProvideType

Definition at line 34 of file keyringwf.cc.

## ◆ MediaHandle

template<class Executor, class OpType>

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::MediaHandle = typename ProvideType::MediaHandle

Definition at line 35 of file keyringwf.cc.

## ◆ ProvideRes

template<class Executor, class OpType>

using zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::ProvideRes = typename ProvideType::Res

Definition at line 36 of file keyringwf.cc.

## Constructor & Destructor Documentation

## ◆ ImportKeyFromRepoLogic()

template<class Executor, class OpType>

zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::ImportKeyFromRepoLogic | ( | ZyppContextRefType | context,
|  | std::string && | keyId,
|  | zypp::RepoInfo && | info )
| inline

Definition at line 41 of file keyringwf.cc.

## Member Function Documentation

## ◆ ZYPP_ENABLE_LOGIC_BASE()

template<class Executor, class OpType>

zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::ZYPP_ENABLE_LOGIC_BASE | ( | Executor | ,
|  | OpType | )

## ◆ execute()

template<class Executor, class OpType>

MaybeAsyncRef< bool > zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::execute | ( |  | ) |
| inline

Definition at line 45 of file keyringwf.cc.

## Member Data Documentation

## ◆ _context

template<class Executor, class OpType>

ZyppContextRefType zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::_context

Definition at line 96 of file keyringwf.cc.

## ◆ _keyId

template<class Executor, class OpType>

std::string zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::_keyId

Definition at line 97 of file keyringwf.cc.

## ◆ _repo

template<class Executor, class OpType>

zypp::RepoInfo zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >::_repo

Definition at line 98 of file keyringwf.cc.

The documentation for this struct was generated from the following file:

- zypp/ng/workflows/keyringwf.cc